<%- include('partials/header.ejs',{title: 'Types List'}) %>

    <div class="container pb-5">
        <div class="mt-5 ">
            <h3 class="float-left mb-3">Types List</h3>
            <a href=" /types/add " class="btn btn=sm btn-success float-right ">Add Type</a>
        </div>
        <table class="table">
            <thead class="thead-light ">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Name</th>
                    <th scope="col">Info</th>
                    <th scope="col">Power</th>
                    <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>

                <% types.forEach(type=>{ %>
                    <tr>
                        <td>
                            <%= type.id %>
                        </td>
                        <td>
                            <%= type.name %>
                        </td>
                        <td>
                            <%= type.info %>
                        </td>
                        <td>
                            <%= type.power %>
                        </td>
                        <td>
                            <a href="/types/edit/<%= type.id %>" class="btn btn-sm btn-warning">Edit</a>
                            <a href="/types/delete/<%= type.id %>" class="btn btn-sm btn-danger">Delete</a>
                        </td>
                    </tr>
                    <% }) %>
            </tbody>
        </table>
    </div>
    <%- include('partials/footer.ejs') %>